package model

import "github.com/zeromicro/go-zero/core/stores/mon"

var _ Post_likesModel = (*customPost_likesModel)(nil)

type (
	// Post_likesModel is an interface to be customized, add more methods here,
	// and implement the added methods in customPost_likesModel.
	Post_likesModel interface {
		post_likesModel
	}

	customPost_likesModel struct {
		*defaultPost_likesModel
	}
)

// NewPost_likesModel returns a model for the mongo.
func NewPost_likesModel(url, db, collection string) Post_likesModel {
	conn := mon.MustNewModel(url, db, collection)
	return &customPost_likesModel{
		defaultPost_likesModel: newDefaultPost_likesModel(conn),
	}
}
